Skip to content

List Batch Projects

GET
/api/v1/batch/{batch_id}/projects
curl --request GET \
--url https://api.totalview.energy/api/v1/batch/example/projects \
--header 'Authorization: Bearer <token>'

List all projects in a batch with their individual statuses.

batch_id
required
Batch Id
string

Successful Response

Media type application/json
Response List Batch Projects Api V1 Batch Batch Id Projects Get
Array<object>
BatchProjectStatus

Status of an individual project within a batch.

object
batch_id
required
Batch Id
string
project_id
required
Project Id
string format: uuid
project_name
required
Project Name
string
status
required
Status
string
Allowed values: queued running completed failed
created_at
required
Created At
string format: date-time
started_at
Any of:
string format: date-time
completed_at
Any of:
string format: date-time
duration_seconds
Any of:
integer
error_message
Any of:
string
s3_result_key
Any of:
string
Example
[
{
"status": "queued"
}
]

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}